diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/suite/TestsShouldNotFailInSuite_s4.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/suite/TestsShouldNotFailInSuite_s4.java
index ec139810e5..dd38864924 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/suite/TestsShouldNotFailInSuite_s4.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/test/suite/TestsShouldNotFailInSuite_s4.java
@@ -13,7 +13,7 @@ import org.junit.runner.RunWith;
 import org.junit.runners.Suite;
 
 import eu.etaxonomy.cdm.api.facade.DerivedUnitFacadeCacheStrategyTest;
-import eu.etaxonomy.cdm.api.facade.DerivedUnitFacadeFieldObservationCacheStrategyTest;
+import eu.etaxonomy.cdm.api.facade.DerivedUnitFacadeFieldUnitCacheStrategyTest;
 import eu.etaxonomy.cdm.api.service.NameServiceImplTest;
 
 
@@ -23,7 +23,7 @@ import eu.etaxonomy.cdm.api.service.NameServiceImplTest;
 		{
 			DerivedUnitFacadeCacheStrategyTest.class,
 			DerivedUnitFacadeCacheStrategyTest.class,
-			DerivedUnitFacadeFieldObservationCacheStrategyTest.class,
+			DerivedUnitFacadeFieldUnitCacheStrategyTest.class,
 			NameServiceImplTest.class
 		}
 	)
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ValidationTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ValidationTest.java
index 3cd1403bf6..5bdfea61e6 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ValidationTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/validation/ValidationTest.java
@@ -9,48 +9,25 @@
 
 package eu.etaxonomy.cdm.validation;
 
-import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertFalse;
 import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertTrue;
 
 import java.util.Set;
-import java.util.UUID;
 
 import javax.validation.ConstraintViolation;
-import javax.validation.Validation;
 import javax.validation.Validator;
-import javax.validation.ValidatorFactory;
 import javax.validation.groups.Default;
 
-import org.junit.Assert;
-
 import org.apache.log4j.Logger;
 import org.junit.Before;
-import org.junit.Ignore;
 import org.junit.Test;
-import org.unitils.UnitilsJUnit4;
 import org.unitils.dbunit.annotation.DataSet;
 import org.unitils.spring.annotation.SpringBeanByType;
 
 import eu.etaxonomy.cdm.api.service.ITermService;
-import eu.etaxonomy.cdm.model.agent.AgentBase;
-import eu.etaxonomy.cdm.model.agent.Person;
-import eu.etaxonomy.cdm.model.common.Annotation;
-import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.DefaultTermInitializer;
-import eu.etaxonomy.cdm.model.common.Group;
-import eu.etaxonomy.cdm.model.common.Language;
-import eu.etaxonomy.cdm.model.common.User;
-import eu.etaxonomy.cdm.model.description.SpecimenDescription;
 import eu.etaxonomy.cdm.model.name.BotanicalName;
 import eu.etaxonomy.cdm.model.name.Rank;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
-import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
-
-import eu.etaxonomy.cdm.model.reference.Reference;
-import eu.etaxonomy.cdm.model.taxon.Taxon;
-import eu.etaxonomy.cdm.test.integration.CdmIntegrationTest;
 import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 
 /**
